Subject: Re: bug#19145: 24.4; prettify-symbols-mode inconsistent behavior

From: Ken Mankoff <[email-masked]>
Date: Tue, 25 Nov 2014 09:53:53 -0500

* On 2014-11-25 at 04:49, Ted Zlatanov wrote:
> On Mon, 24 Nov 2014 09:53:43 -0500 Stefan Monnier <[email-masked]> wrote: 
>
> SM> Duh!  Sorry, I somehow failed to see "python-mode" in your original
> SM> bug report.  So yes, you're trying to prettify subparts of identifiers,
> SM> and prettify-symbols-mode currently provides no support at all for that.
> ...
> SM> But w.r.t "delta" in "delta_x" it would make a lot of sense for
> SM> prettify-symbols-mode to provide support for that.
>
> I don't think it would--I would keep `prettify-symbols-mode' strict. I
> think Ken needs a different mode that's yet to be written:
> `prettify-regex-mode'?

This mode exists - pretty-symbols-mode
https://github.com/drothlis/pretty-symbols

I just try to use official packages when possible, hence my recent
switch to prettify-symbols-mode.

  -k.